public static interface HBaseEndpointBuilderFactory.HBaseBuilders
| Modifier and Type | Method and Description |
|---|---|
default HBaseEndpointBuilderFactory.HBaseEndpointBuilder |
hbase(String path)
HBase (camel-hbase)
Reading and write from/to an HBase store (Hadoop database).
|
default HBaseEndpointBuilderFactory.HBaseEndpointBuilder |
hbase(String componentName,
String path)
HBase (camel-hbase)
Reading and write from/to an HBase store (Hadoop database).
|
default HBaseEndpointBuilderFactory.HBaseEndpointBuilder hbase(String path)
hbase:tableName
Path parameter: tableName (required)
The name of the tablepath - tableNamedefault HBaseEndpointBuilderFactory.HBaseEndpointBuilder hbase(String componentName, String path)
hbase:tableName
Path parameter: tableName (required)
The name of the tablecomponentName - to use a custom component name for the endpoint
instead of the default namepath - tableNameApache Camel